#include<fstream>
#include<algorithm>
using namespace std;
int n,m;
int nt(int a,int i)
{
	if(a<2)
	{
		return 0;
	}
	if(a==2)
	{
		return 1;
	}
	if(i==1)
	{
		return 1;
	}
	if(a>2)
	{
		if(a%i==0)
		{
			return 0;
		}
		else
		{
			i--;
			nt(a,i);
		}
	}
}
int main()
{
	ifstream fi("DQNT.inp");
	ofstream fo("DQNT.out");
	fi>>n;
	int s[n];
	int h;
	int o=0;
	for(int i=0;i<n;i++)
	{
		fi>>s[i];
	}
	sort(s,s+n);
	for(int j=0;j<n;j++)
	{
		h=int(s[j]/2);
		if(nt(s[j],h)==1)
		{
			fo<<s[j]<<" ";
			o=1;
		}
	}
	if(o==0)
	{
		fo<<"-1";
	}
}
